EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a folder and an "open e-book" (OEB) consisting of HTML files is written to that folder. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see E-book conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

The options and default values for the options change depending on both the input and output formats, so you should always check with:

ebook-convert myfile.input_format myfile.output_format -h

Below are the options that are common to all conversion, followed by the options specific to every input and output format.

•   OPCIÓNS DE ENTRADA

•   OPCIÓNS DE SAÍDA

•   APARENCIA

•   PROCESAMENTO HEURÍSTICO

•   BUSCAR E SUBSTITUÍR

•   DETECCIÓN DA ESTRUTURA

•   ÍNDICE

•   METADATOS

•   DEPURACIÓN

--help, -h
    show this help message and exit

--input-profile
    Especificar o perfil de entrada. O perfil de entrada dálle información ao sistema de conversión sobre como interpretar os distintos datos do documento de entrada. Por exemplo, as lonxitudes dependentes da resolución (en píxeles). As opcións son: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device. In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet, generic_eink, generic_eink_large, generic_eink_hd

--version
    show program's version number and exit

OPCIÓNS DE ENTRADA

Opcións para controlar o procesamento do ficheiro de entrada mobi.

--input-encoding
    Especificar a codificación de caracteres do documento de entrada. Se se establece esta opción, substituirá calquera codificación declarada no propio documento. En particular é útil para documentos sen codificación declarada ou con erros na declaración da codificación.

OPCIÓNS DE SAÍDA

Opcións para controlar o procesamento da saída epub

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    Esta opción é necesaria soamente se pretende usar o EPUB con FBReaderJ. Con esta opción simplificarase o sistema de ficheiros dentro do EPUB, poñendo todos os ficheiros no nivel superior.

--epub-inline-toc
    Inserir un índice na liña que aparecerá como parte do contido do libro pincipal.

--epub-max-image-size
    The maximum image size (width x height). A value of none means use the screen size from the output profile. A value of profile means no maximum size is specified. For example, a value of 100x200 will cause all images to be resized so that their width is no more than 100 pixels and their height is no more than 200 pixels. Note that this only affects the size of the actual image files themselves. Any given image may be rendered at a different size depending on the styling applied to it in the document.

--epub-toc-at-end
    Put the inserted inline Table of Contents at the end of the book instead of the start.

--epub-version
    The version of the EPUB file to generate. EPUB 2 is the most widely compatible, only use EPUB 3 if you know you actually need it.

--extract-to
    Extract the contents of the generated EPUB file to the specified folder. The contents of the folder are first deleted, so be careful.

--flow-size
    Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

--no-default-epub-cover
    Normalmente, se o ficheiro de entrada non ten capa e non especifica unha, xerarase unha capa co título, autores, etc. Esta opción desactiva a xeración desta capa.

--no-svg-cover
    Non usar un SVG para a capa dun libro. Debe usar esta opción se o EPUB vai ser empregado nun dispositivo que non é compatible con SVG, como o iPhone ou de JetBook Lite. Sen esta opción, cada dispositivo amosará a capa como unha páxina en branco.

--preserve-cover-aspect-ratio
    Ao empregar unha capa en branco, esta opción implicará que a capa escalarase a toda a área da pantalla dispoñíbel mais manterá a relación de aspecto. Isto implica que pode ter bordos en branco aos lados ou na parte superior e inferior, mais a imaxe non pode estar distorsionada. Sen esta opción, a imaxe pode distorsionarse, mais non terá bordos.

--pretty-print
    Se está especificado, o complemento de saída tratará de crear unha saída o máis lexíbel posíbel. Pode non funcionar no caso dalgúns engadidos de saída.

--toc-title
    Título para calquera índice xerado no texto.

APARENCIA

Opcións para controlar o aspecto da saída

--asciiize
    Transliterate Unicode characters to an ASCII representation. Use with care because this will replace Unicode characters with ASCII. For instance it will replace "Pelé" with "Pele". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

--base-font-size
    The base font size in pts. All font sizes in the produced book will be rescaled based on this size. By choosing a larger size you can make the fonts in the output bigger and vice versa. By default, when the value is zero, the base font size is chosen based on the output profile you chose.

--change-justification
    Cambiar a xustificación do texto. O valor «esquerda» fai que o texto xustificado na orixe quede aliñado á esquerda (non xustificado). O valor «xustificar» fai que o texto non xustificado quede xustificado. O valor «orixinal» (o predeterminado) non altera a xustificación do ficheiro fonte. Teña en conta que non todos os formatos de saída admiten xustificación.

--disable-font-rescaling
    Desactivar o redimensionamento dos tamaños de letra.

--embed-all-fonts
    Embed every font that is referenced in the input document but not already embedded. This will search your system for the fonts, and if found, they will be embedded. Embedding will only work if the format you are converting to supports embedded fonts, such as EPUB, AZW3, DOCX or PDF. Please ensure that you have the proper license for embedding the fonts used in this document.

--embed-font-family
    Embed the specified font family into the book. This specifies the "base" font used for the book. If the input document specifies its own fonts, they may override this base font. You can use the filter style information option to remove fonts from the input document. Note that font embedding only works with some output formats, principally EPUB, AZW3 and DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Tanto a ruta dunha folla de estilo CSS como CSS directo. Este CSS será anexado ás regras de estilo do ficheiro orixinal, de modo que poida usarse para sobreescribir aquelas regras.

--filter-css
    A comma separated list of CSS properties that will be removed from all CSS style rules. This is useful if the presence of some style information prevents it from being overridden on your device. For example: font-family,color,margin-left,margin-right

--font-size-mapping
    Correspondencia entre os tamaños de letra de CSS e tamaños en pt. Un exemplo podería ser 12,12,14,16,18,20,22,24. Estas son as correspondencias para os tamaños de xx-small a xx-large, e o último tamaño para letras enormes. O algoritmo para ampliar ou reducir o texto emprega estes tamaños para determinar o tamaño de letra de maneira intelixente. Por omisión, o valor é usar unha correspondencia baseada no perfil de saída seleccionado.

--insert-blank-line
    Inserir unha liña en branco entre parágrafos. Non funciona se o ficheiro de orixe non define parágrafos (etiquetas <p> ou <div>).

--insert-blank-line-size
    Set the height of the inserted blank lines (in em). The height of the lines between paragraphs will be twice the value set here.

--keep-ligatures
    Preservar os vínculos no documento de entrada. Un vínculo é unha forma especial de escribir un par de caracteres como ff, fi, fl, etc. A maioría dos lectores no admiten vínculos nos tipos de letra predeterminados, polo que non os poden mostrar correctamente. Por omisión, Calibre converterá un vínculo nos seus dous caracteres separados. Caso contrario, ao seleccionar esta opción, preservaraos.

--line-height
    A altura de liña en pt. Controla o espazo entre liñas consecutivas de texto. Só se lle aplica a elementos que non definen a súa propia altura de liña. Na maioría dos casos, a opción de altura de liña mínima é máis útil. De modo predeterminado, non se modifica a altura da liña.

--linearize-tables
    Algúns documentos mal deseñados usan táboas para controlar a disposición do texto na páxina. Cando se converten estes documentos adoitan dar lugar a texto que se sae da páxina e outros problemas. Esta opción extrae o contido das táboas e preséntao de maneira lineal.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    A altura mínima da liña, como porcentaxe do tamaño de tipo de letra do elemento calculado. Calibre asegurará que cada elemento teña esta altura de liña como mínimo, malia o que indique o documento de entrada. Asignar 0 para desactivar. De modo predeterminado é 120%. Utiliza esta opción preferentemente á especificación directa da altura de liña, non sendo que saiba o que está a facer. Por exemplo, pode conseguir texto con «dobre espazo» asignándolle un valor de 240.

--remove-paragraph-spacing
    Retirar o espazo entre parágrafos. Tamén estabelece o sangrado na primeira liña de cada parágrafo de 1,5em. A retirada do espazo non funciona se o ficheiro de orixe non define parágrafos (etiquetas <p> o <div>).

--remove-paragraph-spacing-indent-size
    When calibre removes blank lines between paragraphs, it automatically sets a paragraph indent, to ensure that paragraphs can be easily distinguished. This option controls the width of that indent (in em). If you set this value negative, then the indent specified in the input document is used, that is, calibre does not change the indentation.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants.

--subset-embedded-fonts
    Subset all embedded fonts. Every embedded font is reduced to contain only the glyphs used in this document. This decreases the size of the font files. Useful if you are embedding a particularly large font with lots of unused glyphs.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--transform-html-rules
    Path to a file containing rules to transform the HTML in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform HTML" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Convert fancy quotes, dashes and ellipsis to their plain equivalents.

PROCESAMENTO HEURÍSTICO

Modificar o texto e a estrutura do documento utilizando patróns habituais. Empregue --enable-heuristics para activar. As accións individuais pódense desactivar coas opcións --disable-
*
.

--disable-dehyphenate
    Analiza as palabras con guión en todo o documento. O propio documento se usa coma un dicionario para determinar se cada guión se debe manter ou eliminarse.

--disable-delete-blank-paragraphs
    Eliminar do documento os parágrafos baleiros que hai entre outros parágrafos

--disable-fix-indents
    Converter os sangrados creados a partir de varios espazos duros en sangrados de CSS.

--disable-format-scene-breaks
    Left aligned scene break markers are center aligned. Replace soft scene breaks that use multiple blank lines with horizontal rules.

--disable-italicize-common-cases
    Buscar palabras e patróns que habitualmente estean en cursiva e poñelos en cursiva.

--disable-markup-chapter-headings
    Detectar cabeceiras e subcabeceiras de capítulos sen formato e convertilas en etiquetas h2 e h3. Esta configuración non creará un Índice (TOC), pero pódese utilizar xunto coa detección de estrutura para crear uno.

--disable-renumber-headings
    Busca secuencias de etiquetas <h1> ou <h2>. As etiquetas renumeran para evitar que de dividan os ficheiros en medio dunha cabeceira de capítulo.

--disable-unwrap-lines
    Unir liñas baseándose na puntuación e noutros indicios de formato.

--enable-heuristics
    Activar o procesamento heurístico. Esta opción debe estar activada para que se poida realizar calquera tipo de procesametno heurístico.

--html-unwrap-factor
    Escala para determinar a lonxitude para unir liñas. Os valores correctos son números decimais entre 0 e 1. O valor predeterminado é 0.4, un pouco menos da metade da liña. Se soamente unhas poucas liñas do documento necesitan unirse, debería reducir o valor.

--replace-scene-breaks
    Substituír saltos de escea polo texto especificado. De maneira predeterminada úsase o texto existente no documento de entrada.

BUSCAR E SUBSTITUÍR

Modificar o texto do documento e a estrutura usando patróns definidos.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Texto de substitución para o texto encontrado con sr1-search.

--sr1-search
    Patrón de busca (expresión regular) que se substituirá por sr1-replace.

--sr2-replace
    Texto de substitución para o texto atopado con sr2-search.

--sr2-search
    Patrón de busca (expresión regular) que se substituirá por sr2-replace.

--sr3-replace
    Texto de substitución para o texto atopado con sr3-search.

--sr3-search
    Patrón de busca (expresión regular) que se substituirá por sr3-replace.

DETECCIÓN DA ESTRUTURA

Control de autodetección de estrutura de documento.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Especificar como marcar os capítulos detectados. Un valor «pagebreak» inserirá un salto de páxina antes de cada capítulo. Un valor de «rule» inserirá unha liña antes de cada capítulo. «both» marcará os capítulos cun salto de páxina e unha liña en branco. «none» desactivará o marcado de capítulos e un valor de «both» usará ambos saltos de páxina e liñas para marcar capítulos.

--disable-remove-fake-margins
    Algúns documentos especifican as marxes de páxina engadindo marxes á esquerda e dereita de cada parágrafo, Calibre intentará detectar e eliminar estas marxes. Ás veces isto pode ocasionar que se eliminen marxes que deberían manterse. En tal caso, pode desactivar a eliminación.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    An XPath expression. Page breaks are inserted before the specified elements. To disable use the expression: /

--prefer-metadata-cover
    Usar a capa detectada no ficheiro de orixe mellor que a capa especificada.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

ÍNDICE

Controla a xeración automática do Índice. De modo predeterminado, se o ficheiro orixe ten unha táboa de contidos, usarase esta preferentemente respecto da xerada automaticamente.

--duplicate-links-in-toc
    When creating a TOC from links in the input document, allow duplicate entries, i.e. allow more than one entry with the same text, provided that they point to a different location.

--level1-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level one. If this is specified, it takes precedence over other forms of auto-detection. See the XPath Tutorial in the calibre User Manual for examples.

--level2-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level two. Each entry is added under the previous level one entry. See the XPath Tutorial in the calibre User Manual for examples.

--level3-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level three. Each entry is added under the previous level two entry. See the XPath Tutorial in the calibre User Manual for examples.

--max-toc-links
    Número máximo de ligazóns que se incluirán no Índice de contidos. O valor 0 desactiva a opción. Valor predeterminado: 50. Só se engadirán ligazóns no IdC se se detecta un número de capítulos menor que o estabelecido como limiar.

--no-chapters-in-toc
    Non engadir os capítulos autodetectados á táboa de contidos.

--toc-filter
    Retirar entradas do Índice de contidos (IdC) con títulos que se corresponden coa expresión regular especificada. As entradas correspondentes e todas as subordinadas serán retiradas.

--toc-threshold
    Se se detecta menos deste número de capítulos, entón engádense ligazóns ao Índice de contidos. Valor predeterminado: 6

--use-auto-toc
    Normalmente, se o ficheiro de orixe ten un Índice de contidos, úsase este en vez do autoxerado. Con esta opción sempre se usará o autoxerado.

METADATOS

As opcións para asignar metadatos na saída

--author-sort
    Texto que se usará para ordenación por autor.

--authors
    Estabelecer os autores. Se hai varios autores deben separarse por «&».

--book-producer
    Definir o produtor do libro.

--comments
    Set the e-book description.

--cover
    Estabelecer a capa desde o ficheiro ou o URL especificado

--isbn
    Definir o ISBN do libro.

--language
    Definir o idioma.

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Set the e-book publisher.

--rating
    Estabelecer a valoración. Debe ser un número entre 1 e 5.

--read-metadata-from-opf, --from-opf, -m
    Ler metadatos do ficheiro OPF especificado. Os metadatos destes ficheiro sobreescribiran calquera metadato do ficheiro de orixe.

--series
    Set the series this e-book belongs to.

--series-index
    Estabelecer a posición que ocupa o libro nesta colectánea.

--tags
    Estabelecer etiquetas para o libro. Debe ser unha lista separada por comas

--timestamp
    Set the book timestamp (no longer used anywhere)

--title
    Definir o título.

--title-sort
    A versión do título que se usará para ordenación.

DEPURACIÓN

Opción para axudar coa depuración da conversión

--debug-pipeline, -d
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring.

--verbose, -v
    Level of verbosity. Specify multiple times for greater verbosity. Specifying it twice will result in full verbosity, once medium verbosity and zero times least verbosity.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal